### Signal

# Gtk SectionModel::sections-changed

since: 4.12

#### Declaration

    void
    sections_changed (
      GtkSectionModel* self,
      guint position,
      guint n_items,
      gpointer user_data
    )

#### Description [src]

Emitted when the start-of-section state of some of the items in `model` changes.

Note that this signal does not specify the new section state of the items, they need to be queried manually. It is also not necessary for a model to change the section state of any of the items in the section model, though it would be rather useless to emit such a signal.

The `GListModel::items-changed` implies the effect of the `GtkSectionModel::sections-changed` signal for all the items it covers.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.12

#### Parameters

`position`

  Type: `guint`

  The first item that may have changed.

`n_items`

  Type: `guint`

  Number of items with changes.